Bug 1359138 (CVE-2016-6262) - CVE-2016-6262 libidn: Out-of-bounds read when reading zero byte as input
Summary: CVE-2016-6262 libidn: Out-of-bounds read when reading zero byte as input
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-6262
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1359146 1359147 1359148
Blocks: 1359151
TreeView+ depends on / blocked
 
Reported: 2016-07-22 11:43 UTC by Adam Mariš
Modified: 2019-09-29 13:53 UTC (History)
7 users (show)

Fixed In Version: libidn 1.33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-29 04:57:17 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-07-22 11:43:51 UTC
An out-of-bounds read was found in libidn when reading zero byte as input.

Upstream fix:

http://git.savannah.gnu.org/cgit/libidn.git/commit/?id=5e3cb9c7b5bf0ce665b9d68f5ddf095af5c9ba60

CVE assignment:

http://seclists.org/oss-sec/2016/q3/124

Comment 1 Adam Mariš 2016-07-22 12:05:11 UTC
Created libidn tracking bugs for this issue:

Affects: fedora-all [bug 1359146]

Comment 2 Adam Mariš 2016-07-22 12:05:17 UTC
Created mingw-libidn tracking bugs for this issue:

Affects: fedora-all [bug 1359147]
Affects: epel-7 [bug 1359148]

Comment 3 Fedora Update System 2016-07-24 20:18:26 UTC
libidn-1.33-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-08-08 23:56:23 UTC
libidn-1.33-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.